ServerEvents.recipes((event) => {
  // =========================================
  // Create New Age
  // =========================================

  // Generator Coil
  event.recipes.create
    .mechanical_crafting("create_new_age:generator_coil", [
      "AGBGA", 
      "GCCCG", 
      "BCDCB", 
      "GCCCG", 
      "AGBGA"
    ],
    {
      A: "alexscaves:scarlet_magnet",
      B: "alexscaves:azure_magnet",
      C: "alexscaves:scrap_metal_plate",
      D: "create:redstone_contact",
      G: "minecraft:copper_ingot"
    })
    .id("create_new_age:shaped/generator_coil");

  // Carbon Brushes
  event
    .shaped("create_new_age:carbon_brushes", [
      "ABA", 
      "CDC", 
      "ABA"
    ], 
    {
      A: "alexscaves:scrap_metal_plate",
      B: "alexscaves:ferrouslime_ball",
      C: "alexscaves:magnetic_activator",
      D: "alexscaves:telecore",
    })
    .id("create_new_age:shaped/carbon_brushes");

  // Basic Energizer
  event
    .shapeless("create_new_age:energiser_t1", [
      "charginggadgets:charging_station",
      "minecraft:lightning_rod",
      "alexscaves:uranium_rod",
    ])
    .id("create_new_age:shapeless/energiser_t1");

// Advanced Energizer
  event.remove({ output: `create_new_age:energiser_t2` });
  event
    .shaped("create_new_age:energiser_t2", [
      "ABA", 
      "CDC", 
      "EGE"
    ], 
    {
      A: "create_new_age:overcharged_gold",
      B: "create_new_age:energiser_t1",
      C: "minecraft:lightning_rod",
      D: "alexscaves:uranium_rod",
      E: "charginggadgets:charging_station",
      G: "create_new_age:overcharged_golden_sheet",

    })
    .id("create_new_age:energiser_t2");

// Reinforced Energizer
event.remove({ output: `create_new_age:energiser_t3` });
  event.recipes.create
    .mechanical_crafting("create_new_age:energiser_t3", [
      "ABCCA", 
      "DBEFF", 
      "ABCCA"
    ],
    {
      A: "alexscaves:scrap_metal_plate",
      B: "create_new_age:overcharged_golden_sheet",
      C: "alexscaves:notor_gizmo",
      D: "create_new_age:electrical_connector",
      E: "create_new_age:energiser_t2",
      F: "14x alexscaves:depth_charge",
    })
    .id("create_new_age:energiser_t3");


  // Basic Motor
  event
    .shaped("create_new_age:basic_motor", [
      "AAA", 
      "BCD", 
      "AAA"
    ], 
    {
      A: "create_new_age:overcharged_iron_sheet",
      B: "create_new_age:electrical_connector",
      C: "create_new_age:magnetite_block",
      D: "create:shaft",
    })
    .id("create_new_age:shaped/basic_motor");

  // Strong (Advanced) Motor
  event
    .shaped("create_new_age:advanced_motor", [
      "AAA", 
      "BCD", 
      "AAA"
    ], 
    {
      A: "create_new_age:overcharged_golden_sheet",
      B: "create_new_age:electrical_connector",
      C: "create_new_age:basic_motor",
      D: "alexscaves:uranium",
    })
    .id("create_new_age:shaped/advanced_motor");

  // Reinforced Motor

  event.recipes.create
    .mechanical_crafting("create_new_age:reinforced_motor", [
      "ABCCA", 
      "DBEFG", 
      "ABCCA"
    ],
    {
      A: "alexscaves:scrap_metal_plate",
      B: "create_new_age:overcharged_diamond",
      C: "alexscaves:notor_gizmo",
      D: "alexscaves:azure_magnet",
      E: "create_new_age:advanced_motor",
      F: "create:shaft",
      G: "alexscaves:scarlet_magnet"
    })
    .id("create_new_age:reinforced_motor");

  // Electrical Connector

  
  event.remove({ output: `create_new_age:electrical_connector` });
  event
    .shaped("2x create_new_age:electrical_connector", [
      "A", 
      "B", 
      "C"
    ], 
    {
      A: "#forge:nuggets/copper",
      B: "create:brass_sheet",
      C: "minecraft:terracotta",
    })
    .id("create_new_age:shaped/electrical_connector");
 
// heater
  event.remove({ output: `create_new_age:heater` });
  event
    .shaped("create_new_age:heater", [
      "AEA", 
      "ADA", 
      "CBC"
    ], 
    {
      A: "alexscaves:scarlet_neodymium_ingot",
      B: "create_new_age:overcharged_iron",
      C: "alexscaves:magnetic_activator",
      D: "create:blaze_burner",
      E: "create_new_age:heat_pipe"
    })
    .id("create_new_age:heater");

});


 